MPI_DUP_FN(3)

NAME
MPI_DUP_FN - Built-in MPI function to simple-mindedly copy communicator attributes.

SYNOPSIS
#include <mpi.h>
int MPI_DUP_FN(MPI_Comm comm, int key, void *extra,
        void *attrin, void *attrout, int *flag)

INPUT PARAMETERS
comm
    - communicator (handle)
key - key value (integer)
extra
    - extra state
attrin
    - in value for attribute

OUTPUT PARAMETERS
attrout
    - out value for attribute
flag
    - 1 if attribute copied successfully, 0 otherwise (logical)

NOTES
This function is deprecated. It has been replaced with an MPI-2 function (see the "See also" section, below), which provides the same functionality. This function is (or effectively is) a wrapper to the replacement function, anyway. User programs should use the MPI-2 replacement function instead of this function. Some functions are deprecated because their names did not conform to the stricter naming conventions of MPI-2; others are deprecated because they have been replaced with more flexible functionality.

SEE ALSO
MPI_COMM_DUP_FN

ADDITIONAL
Note that the C typedefs MPI_Copy_function and MPI_MPI_Delete_function are also deprecated, in favor of their new names - MPI_Comm_copy_function , MPI_Comm_delete_function
 . Additionally, the MPI constants MPI_NULL_COPY_FN and MPI_NULL_DELETE_FN are also deprecated in favor of their new names - MPI_COMM_NULL_COPY_FN and MPI_COMM_NULL_DELETE_FN
 .

MORE INFORMATION
For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages). http://www.mpi-forum.org/

ACKNOWLEDGEMENTS
The LAM Team would like the thank the MPICH Team for the handy program to generate man pages ("doctext" from ftp://ftp.mcs.anl.gov/pub/sowing/sowing.tar.gz ), the initial formatting, and some initial text for most of the MPI-1 man pages.

LOCATION
dupfn.c